body {
    background-color: #0b0b0b;
    color: white;
    font-family: 'Inter', sans-serif;
    margin: 0;
    display: flex;
    flex-direction: column;
}

.main-section {
    padding-left: 40px;
}

.anime-section {
    padding: 40px;
    margin-bottom: 20px;
}

.anime-section h2 {
    font-size: 24px;
    margin-bottom: 15px;
    font-weight: bold;
}

.anime-row {
    display: flex;
    overflow-x: auto; 
    gap: 50px;
    padding: 22px;
}

.anime-card {
    width: 180px;
    height: 370px;
}

.anime-card img {
    width: 200px;
    height: 300px;
    border-radius: 12px;
    transition: transform 0.3s ease;
    object-fit: cover;
}

.anime-card img:hover {
    transform: scale(1.05);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.5);
}

.card-info h5 {
    margin: 10px 0 2px 0;
    font-size: 14px;
}

.card-info p {
    font-size: 12px;
    color: #888;
}


.logo {
     
    font-size: 30px;
    font-weight: bold;

}

.logo span {
    color: #B149FF;
}


.nav_links li, .nav_links li a {
    color: #aaa;
    font-size: 15px;
    text-decoration: none;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.nav_links li:hover, .nav_links li a:hover {
    color: #B149FF;
}
.navbar {
    display: flex;
    align-items: center;
    padding: 10px 40px;
    background-color: #0b0b0b;
    position: sticky;
    top: 0;
    z-index: 1000;
    border-bottom: 1px solid #222;
}

.nav_links {
    flex: 2; 
    display: flex;
    justify-content: center;
    gap: 40px;
    list-style: none;
    margin: 0 200px 0 50px;
    padding: 0;
}

.nav-icons {    
    align-items: center;
    gap: 20px;
}

.search-container {
    display: flex;
    width: 150px;
    align-items: center;
    background: #1a1a1a;
    padding: 6px 20px ;
    border-radius: 20px;
    border: 1px solid #333;
    
}

#searchInput {
    background: transparent;
    border: none;
    color: white;
    outline: none;
    width: 140px;
    font-size: 13px;
}

.user-profile {
    width: 32px;
    height: 32px;
    background: #333;
    border-radius: 50%;
    cursor: pointer;
    margin: 15px 0 15px 15px;
}

.nav-dropdown {
    background: transparent;
    color: #aaa;
    border: none;
    font-size: 15px;
    font-weight: bold;
    cursor: pointer;
    outline: none;
}

.nav-dropdown:hover {
    color: #B149FF;
}

.nav-dropdown option {
    background: #1a1a1a;
    color: white;
}

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    border-top: 1px solid #222;
}



@media (max-width: 768px) {
    .navbar { padding: 10px 20px; }
    .nav_links { margin: 0 20px; gap: 15px; }
}

@media (max-width: 580px) {
    .navbar{
        justify-content: space-between;
    }
    .nav_links { display: none;
     } 
    
    .nav-icons {
        margin-left: auto; 
    }

    .search-container {
        width: 90px; 
        
    }

    #searchInput {
        width: 90px;
    }
    .user-profile{
        display: none;


    }
}